Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class StandardParserConfiguration

    java.lang.Object
      weblogic.apache.xerces.util.ParserConfigurationSettings
          weblogic.apache.xerces.parsers.BasicParserConfiguration
              weblogic.apache.xerces.parsers.DTDConfiguration
                  weblogic.apache.xerces.parsers.StandardParserConfiguration

All Implemented Interfaces:
  XMLComponentManager, XMLParserConfiguration, XMLPullParserConfiguration

Direct Known Subclasses:
  SecurityConfiguration, XML11Configuration, XMLGrammarCachingConfiguration

Deprecated. please use JDK supplied XML parsers and transformers

    public class StandardParserConfiguration

extends DTDConfiguration

This is the "standard" parser configuration. It extends the DTD configuration with the standard set of parser components. The standard set of parser components include those needed to parse and validate with DTD's, and those needed for XML Schema.

In addition to the features and properties recognized by the base parser configuration, this class recognizes these additional features and properties:

- Features
  - http://apache.org/xml/features/validation/schema
  - http://apache.org/xml/features/validation/schema-full-checking
  - http://apache.org/xml/features/validation/schema/normalized-value
  - http://apache.org/xml/features/validation/schema/element-default
- Properties
  - http://apache.org/xml/properties/internal/error-reporter
  - http://apache.org/xml/properties/internal/entity-manager
  - http://apache.org/xml/properties/internal/document-scanner
  - http://apache.org/xml/properties/internal/dtd-scanner
  - http://apache.org/xml/properties/internal/grammar-pool
  - http://apache.org/xml/properties/internal/validator/dtd
  - http://apache.org/xml/properties/internal/datatype-validator-factory

Field Summary
`protected XMLSchemaValidator` | `fSchemaValidator` Deprecated. XML Schema Validator.
`protected static String` | `NORMALIZE_DATA` Deprecated. Feature identifier: expose schema normalized value
`protected static String` | `SCHEMA_ELEMENT_DEFAULT` Deprecated. Feature identifier: send element default value via characters()
`protected static String` | `SCHEMA_VALIDATOR` Deprecated. Property identifier: XML Schema validator.

Fields inherited from class weblogic.apache.xerces.parsers.DTDConfiguration
`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ERROR_REPORTER, fDatatypeValidatorFactory, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLocator, fNamespaceBinder, fParseInProgress, fScanner, fValidationManager, LOAD_EXTERNAL_DTD, NAMESPACE_BINDER, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XMLGRAMMAR_POOL`

Fields inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

Fields inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties`

Constructor Summary
`StandardParserConfiguration()` Deprecated. Default constructor.
`StandardParserConfiguration(SymbolTable symbolTable)` Deprecated. Constructs a parser configuration using the specified symbol table.
`StandardParserConfiguration(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a parser configuration using the specified symbol table and grammar pool.
`StandardParserConfiguration(SymbolTable symbolTable, XMLGrammarPool grammarPool, XMLComponentManager parentSettings)` Deprecated. Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected void` | `checkFeature(String featureId)` Deprecated. Check a feature.
`protected void` | `checkProperty(String propertyId)` Deprecated. Check a property.
`protected void` | `configurePipeline()` Deprecated. Configures the pipeline.

Methods inherited from class weblogic.apache.xerces.parsers.DTDConfiguration
`cleanup, createDatatypeValidatorFactory, createDocumentScanner, createDTDProcessor, createDTDScanner, createDTDValidator, createEntityManager, createErrorReporter, createNamespaceBinder, createValidationManager, parse, parse, reset, setInputSource, setLocale`

Methods inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Methods inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, getFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Field Detail

### NORMALIZE_DATA

    protected static final String NORMALIZE_DATA

  Deprecated.
  Feature identifier: expose schema normalized value

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT_DEFAULT

    protected static final String SCHEMA_ELEMENT_DEFAULT

  Deprecated.
  Feature identifier: send element default value via characters()

  See Also:
    Constant Field Values

### SCHEMA_VALIDATOR

    protected static final String SCHEMA_VALIDATOR

  Deprecated.
  Property identifier: XML Schema validator.

  See Also:
    Constant Field Values

### fSchemaValidator

    protected XMLSchemaValidator fSchemaValidator

  Deprecated.
  XML Schema Validator.

Constructor Detail

### StandardParserConfiguration

    public StandardParserConfiguration()

  Deprecated.
  Default constructor.

### StandardParserConfiguration

    public StandardParserConfiguration(SymbolTable symbolTable)

  Deprecated.
  Constructs a parser configuration using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

### StandardParserConfiguration

    public StandardParserConfiguration(SymbolTable symbolTable,
                                       XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### StandardParserConfiguration

    public StandardParserConfiguration(SymbolTable symbolTable,
                                       XMLGrammarPool grammarPool,
                                       XMLComponentManager parentSettings)

  Deprecated.
  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### configurePipeline

    protected void configurePipeline()

  Deprecated.
  Configures the pipeline.

  Overrides:
    `configurePipeline` in class `DTDConfiguration`

### checkFeature

    protected void checkFeature(String featureId)
                         throws XMLConfigurationException

  Deprecated.
  Check a feature. If feature is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkFeature` in class `DTDConfiguration`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### checkProperty

    protected void checkProperty(String propertyId)
                          throws XMLConfigurationException

  Deprecated.
  Check a property. If the property is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkProperty` in class `DTDConfiguration`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD